Subject: Saving file erases minor mode font locking.

From: Prashant Sachdeva <[email-masked]>
Date: Sun, 27 Oct 2019 10:45:09 -0700

When saving files, the lisp files for some style files (e.g. expl3, minted)
call font-latex-update-font-lock, which has the following lines to revert
the font locking to defaults (around line 1287-88 of font-latex.el):

(setq font-lock-set-defaults nil)
(font-lock-set-defaults)

This removes any font locking done by minor modes (e.g. hl-todo-mode,
outshine-mode). There should be another way of applying these styles that
does not override previously set font properties, or reapplies the font
lock applied by minor modes.

Emacs  : GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.7.0, Carbon Version
158 AppKit 1671.6)
 of 2019-10-19
Package: 12.1.2

Also covered as a bug in hl-todo-mode
<https://github.com/tarsius/hl-todo/issues/26#issuecomment-546637535>.

- Prashant